# Method: projects.deployments.get

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/get#try-it)

Gets a deployment of an Apps Script project.

### HTTP request

`GET https://script.googleapis.com/v1/projects/{scriptId}/deployments/{deploymentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |
| `deploymentId` | `string` The deployment ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments#Deployment`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/script.deployments`
- `https://www.googleapis.com/auth/script.deployments.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).